Description

When I assign a new iSCSI network interface, the management network interface stops responding to pings and won't come back up

until I reboot. Also, when initially adding the LAG I have sometimes needed a reboot in order to get it to come up properly and accept

a DHCP lease.

Steps to reproduce:

Install up new FreeNAS install (latest version FreeNAS-9.3-STABLE-201509282017) with 4 supported network cards

Configure Link Aggregate Group for 2 network cards

LAG does not come up, reboot, LAG comes up, DHCP lease accepted

Log into WebUI

Add new network interface on separate iSCSI subnet with MTU 9000

Dialog stuck on 'Please wait...', WebUI stops responding, LAG stops responding to pings, Switch reports LAG channel Active on

both associated ports

Reboot, LAG comes up, iSCSI interface works

Add second iSCSI interface, reboot, etc.

I have reproduced this issue about 5 or 6 times on 3 different sets of hardware. I can provide whatever logs you'd like.

History

#1 - 11/30/2015 10:28 AM - Thomas Maerz

I would like to add that the systems performs perfectly stable once the interfaces are properly set up including coming up every time after reboots, etc.

#2 - 11/30/2015 10:31 AM - Josh Paetzel

A save debug would be the first step.

Are there an interfaces that are set for DHCP?

#3 - 11/30/2015 10:34 AM - Thomas Maerz

Josh,

The LAG is set up for DHCP, the iSCSI interfaces have static IPs. I will upload a save debug momentarily.

#4 - 11/30/2015 10:49 AM - Thomas Maerz
- File debug-storage2-20151130124921..tgz added

Debug tarball

#5 - 12/03/2015 01:25 PM - Josh Paetzel

- Status changed from Unscreened to Investigation

- Assignee set to Josh Paetzel

- Priority changed from No priority to Important

- Target version set to 261

#6 - 12/03/2015 01:31 PM - Josh Paetzel

Is the system you are accessing the GUI from on the same subnet that the FreeNAS box is on?

#7 - 12/03/2015 01:31 PM - Josh Paetzel

- Status changed from Investigation to 15

#8 - 12/03/2015 03:11 PM - Thomas Maerz

Josh,

The system I am accessing the GUI from is on the same subnet as the LAG (management interface). The iSCSI subnets are not accessible to the

rest of the network or each other. So I have

LAG: 10.0.50.0/24 <--This is the only place I access the GUI, and that subnet is accessible from my management machine.

iSCSI 1: 10.3.0.0/24

iSCSI 2: 10.4.0.0/24

#9 - 12/04/2015 10:48 AM - Josh Paetzel

Ok, well that blows away my theory of a route is getting lost.

So, riddle me this.

Do you have remote console on these machines?

If yes, could we do a teamviewer session where you can get the FreeNAS system into the broken state where I can troubleshoot what is wrong on the

remote console?

#10 - 12/09/2015 12:04 PM - Jason Brooks

Hello,

I can confirm this bug.  Please see 

https://forums.freenas.org/index.php?threads/link-aggregate-group-stops-working-when-adding-other-new-network-interfaces.39574.

rebooting the system builds the lagg interface correctly.

seen in FreeNAS-9.3-STABLE-201511280648
#11 - 12/15/2015 07:13 AM - Josh Paetzel

I need access to a system that is exhibiting this behavior.  Preferably one with IPMI or serial access so I can see it when it's in it's broken state.

One of the challenges here is I use this config at home (LACP + MPIO for iSCSI) and I am unable to reproduce the problem.

#12 - 12/18/2015 02:43 PM - Thomas Maerz

It is going to be a while before I get some downtime, but I will let you know when I do and I can get you into the IPMI shell of the server.

#13 - 12/18/2015 03:03 PM - Jason Brooks

Hello,

I can do this: it does it on a test system as well as my live system.  I will need to address this monday though: I am about leave for the weekend.

I have had some trouble with directly connecting freenas to the ipmi device, but I think I can at least network you into it...After all, I am also the

network admin...  :)

--jason

#14 - 01/04/2016 08:01 AM - Josh Paetzel

Any word on this?

#15 - 01/20/2016 10:34 AM - Thomas Maerz

I had a mirrored USB failure and experienced this again while setting the system back up. This time I tried configuring the LAGG from the GUI. Same

result. I can't show the system in a broken state because this system only has iDRAC express which doesn't have an IPMI remote console feature

unless you get iDRAC Enterprise licenses.

#16 - 03/16/2016 06:32 PM - Jordan Hubbard

- Target version changed from 261 to 49

This is a couple of months old - setting to FUTURE

#17 - 03/31/2016 08:48 PM - Jordan Hubbard

- Status changed from 15 to Closed

Timing out and closing

#18 - 07/19/2017 08:12 AM - Kris Moore

- Target version changed from 49 to N/A

#19 - 12/02/2017 10:24 AM - Dru Lavigne

- File deleted (debug-storage2-20151130124921..tgz)
